
#pragma once

#include "position.h"

//#define LEARN
#ifdef LEARN
#define LEARN_THREAD_LOCAL thread_local
#else
#define LEARN_THREAD_LOCAL
#endif

struct PositionLearn {
    Bitboard byColorBB_[ColorNum];
    uint64_t hand64_[ColorNum];
    PieceType piece_[SquareNum];
    Color root_turn_;
    Move learn_move_[3];
};

void learn(const std::vector<PositionLearn>&& vpos);
