
#pragma once

#include <thread>
#include <mutex>
#include <atomic>
#include <condition_variable>

#include "search.h"

class alignas(64) Thread {
public:
    //eXbhT̐
    static std::atomic_uint32_t count_;

    Position pos_[1024], *ppos_;
    std::thread thread_;

    int idx_, pv_idx_;
    Score best_score_;
    Move best_move_;

    Depth root_depth_, completed_depth_;

    std::vector<RootMove> root_moves_;

    Thread() {}
};

constexpr int MaxThreads = 16;
extern Thread *threads;

extern int thread_num;
